
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>codevs 1862 最长公共子序列（求最长公共子序列长度并统计最长公共子序列的个数） / 憋错料</title>

    <meta name="description" content="codevs 1862 最长公共子序列（求最长公共子序列长度并统计最长公共子序列的个数） 题目描述 Description 字符序列的子序列是指从给定字符序列中随意地(不一定连续)去掉若干个字符(可能一个也不去掉)后所形成的字符序列.令给定的字符序列X=&quot;x0,x1,-,xm-1&quot;,序列Y=&quot;y0,y1,-,yk-1&quot;是X的子序列,存在X的一个严格递增下标序列&lt;i0,i1,-,ik-1&gt;,使得对所有的j=0,1,-,k-1,有xij = yj.例如,X=&quot;ABCBDAB&quot;,Y=&quot;BCDB&quot;是X ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">codevs 1862 最长公共子序列（求最长公共子序列长度并统计最长公共子序列的个数）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>题目描述&nbsp;Description</strong></p>
<p>字符序列的子序列是指从给定字符序列中随意地（不一定连续）去掉若干个字符（可能一个也不去掉）后所形成的字符序列。令给定的字符序列X=“x0，x1，…，xm-1”，序列Y=“y0，y1，…，yk-1”是X的子序列，存在X的一个严格递增下标序列&lt;i0，i1，…，ik-1&gt;，使得对所有的j=0，1，…，k-1，有xij&nbsp;= yj。例如，X=“ABCBDAB”，Y=“BCDB”是X的一个子序列。</p>
<p>对给定的两个字符序列，求出他们最长的公共子序列长度，<strong>以及最长公共子序列个数。</strong></p>
<p><strong>输入描述&nbsp;Input Description</strong></p>
<p>第1行为第1个字符序列，都是大写字母组成，以”.”结束。长度小于5000。</p>
<p>第2行为第2个字符序列，都是大写字母组成，以”.”结束，长度小于5000。</p>
<p><strong>输出描述&nbsp;Output Description</strong></p>
<p>第1行输出上述两个最长公共子序列的长度。</p>
<p>第2行输出所有可能出现的最长公共子序列个数，答案可能很大，只要将答案对100,000,000求余即可。</p>
<p><strong>样例输入&nbsp;Sample Input</strong></p>
<p>ABCBDAB.<br />BACBBD.</p>
<p><strong>样例输出&nbsp;Sample Output</strong></p>
<p>4<br />7</p>
<pre> 1 #include &lt;iostream&gt;
 2 #include &lt;cstdio&gt;
 3 #include &lt;cstring&gt;
 4 using namespace std;
 5
 6 #define maxn 5010
 7 #define MOD 100000000
 8 char A[maxn],B[maxn],cur;
 9 int f[2][maxn], g[2][maxn];
10
11 int main()
12 {
13     scanf("%s%s", A + 1, B + 1);
14     int na = strlen(A + 1), nb = strlen(B + 1);
15     A[na--] = ‘\0‘; B[nb--] = ‘\0‘;
16
17     cur=0;
18     for(int i = 1; i &lt;= nb; i++) g[0][i] = 1;
19     g[0][0] = g[1][0] = 1;
20
21     for(int i = 1; i &lt;= na; i++)
22     {
23         cur ^= 1;
24         for(int j = 1; j &lt;= nb; j++)
25         {
26             if(A[i] == B[j]) f[cur][j] =f[cur^1][j-1] + 1;
27             else f[cur][j] = max(f[cur^1][j], f[cur][j-1]);
28
29             g[cur][j] = 0;
30             if(f[cur][j] == f[cur^1][j]) g[cur][j] += g[cur^1][j];
31             if(f[cur][j] == f[cur][j-1]) g[cur][j] += g[cur][j-1];
32             if(f[cur][j] == f[cur^1][j] &amp;&amp; f[cur][j] == f[cur][j-1] &amp;&amp; f[cur^1][j-1] == f[cur][j])
33                 g[cur][j] -= g[cur^1][j-1];
34             if(A[i] == B[j] &amp;&amp; f[cur][j] == f[cur^1][j-1] + 1) g[cur][j] += g[cur^1][j-1];
35             if(g[cur][j] &gt; MOD) g[cur][j] %= MOD;
36             if(g[cur][j] &lt; 0) g[cur][j] = (g[cur][j] % MOD) + MOD;
37         }
38     }
39     printf("%d\n%d\n", f[cur][nb], g[cur][nb]);
40     return 0;
41 }</pre>
<p>参考1：http://blog.csdn.net/moep0/article/details/52760974</p>
<p>参考2：http://blog.csdn.net/litble/article/details/67640655</p>
<p><strong>算法分析：</strong></p>
<p>第一个问题可以参考<a href="http://www.cnblogs.com/huashanqingzhu/p/7423745.html" rel="external nofollow noreferrer">最长公共子序列</a>原题的题解。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzU4MTM0Mi8yMDE3MDgvNTgxMzQyLTIwMTcwODI2MTY1ODIzMDExLTU1MTI1ODc2My5qcGc=.jpg"></p>
<p>第二个问题可以阅读<a href="http://blog.csdn.net/moep0/article/details/52760974" rel="external nofollow noreferrer">参考1</a>和<a href="http://blog.csdn.net/litble/article/details/67640655" rel="external nofollow noreferrer">参考2</a>的分析和代码自己理解。</p>
<p>这里摘抄参考1里面的两段代码留存：</p>
<p>代码一：使用了滚动数组。</p>
<p></p>

<pre> 1 #include &lt;iostream&gt;
 2 #include &lt;cstdio&gt;
 3 #include &lt;algorithm&gt;
 4 #include &lt;cmath&gt;
 5 #include &lt;stack&gt;
 6 #include &lt;vector&gt;
 7 #include &lt;queue&gt;
 8 #include &lt;cstring&gt;
 9 #include &lt;string&gt;
10 #include &lt;map&gt;
11 #include &lt;set&gt;
12 using namespace std;
13
14 const int BufferSize = 1 &lt;&lt; 16;
15 char buffer[BufferSize], *Head, *Tail;
16 inline char Getchar() {
17     if(Head == Tail) {
18         int l = fread(buffer, 1, BufferSize, stdin);
19         Tail = (Head = buffer) + l;
20     }
21     return *Head++;
22 }
23 int read() {
24     int x = 0, f = 1; char c = Getchar();
25     while(!isdigit(c)){ if(c == ‘-‘) f = -1; c = Getchar(); }
26     while(isdigit(c)){ x = x * 10 + c - ‘0‘; c = Getchar(); }
27     return x * f;
28 }
29
30 #define maxn 5010
31 #define MOD 100000000
32 char A[maxn], B[maxn], cur;
33 int f[2][maxn], g[2][maxn];
34
35 int main() {
36     scanf("%s%s", A + 1, B + 1);
37     int na = strlen(A + 1), nb = strlen(B + 1);
38     A[na--] = ‘\0‘; B[nb--] = ‘\0‘;
39
40     for(int i = 1; i &lt;= nb; i++) g[0][i] = 1; g[0][0] = g[1][0] = 1;
41     for(int i = 1; i &lt;= na; i++) {
42         cur ^= 1;
43         for(int j = 1; j &lt;= nb; j++) {
44             f[cur][j] = max(f[cur^1][j], f[cur][j-1]);
45             if(A[i] == B[j]) f[cur][j] = max(f[cur][j], f[cur^1][j-1] + 1);
46             g[cur][j] = 0;
47             if(f[cur][j] == f[cur^1][j]) g[cur][j] += g[cur^1][j];
48             if(f[cur][j] == f[cur][j-1]) g[cur][j] += g[cur][j-1];
49             if(f[cur][j] == f[cur^1][j] &amp;&amp; f[cur][j] == f[cur][j-1] &amp;&amp; f[cur^1][j-1] == f[cur][j]) g[cur][j] -= g[cur^1][j-1];
50             if(A[i] == B[j] &amp;&amp; f[cur][j] == f[cur^1][j-1] + 1) g[cur][j] += g[cur^1][j-1];
51             if(g[cur][j] &gt; MOD) g[cur][j] %= MOD;
52             if(g[cur][j] &lt; 0) g[cur][j] = (g[cur][j] % MOD) + MOD;
53         }
54     }
55
56     printf("%d\n%d\n", f[cur][nb], g[cur][nb]);
57
58     return 0;
59 }</pre>
<p></p>
<p>代码二：不使用滚动数组，假如测试数据较小，可以AC。</p>
<p></p>

<pre> 1 #include&lt;iostream&gt;
 2 #include&lt;algorithm&gt;
 3 #include&lt;cmath&gt;
 4 #include&lt;cstring&gt;
 5 #include&lt;cstdio&gt;
 6 #define mod 100000000
 7 using namespace std;
 8 string a,b;
 9 int f[5005][5005],g[5005][5005];
10 int main(){
11     cin&gt;&gt;a&gt;&gt;b;
12     int l1=a.length()-1,l2=b.length()-1;
13     a=‘ ‘+a,b=‘ ‘+b;
14     for(int i=0;i&lt;=l1;i++)g[i][0]=1;
15     for(int i=0;i&lt;=l2;i++)g[0][i]=1;
16     for(int i=1;i&lt;=l1;i++)
17       for(int j=1;j&lt;=l2;j++)
18         {
19               if(a[i]==b[j])
20               {
21                   f[i][j]=f[i-1][j-1]+1;
22                 g[i][j]=g[i-1][j-1];
23                 if(f[i][j]==f[i][j-1])g[i][j]=(g[i][j]+g[i][j-1])%mod;
24                 if(f[i][j]==f[i-1][j])g[i][j]=(g[i][j]+g[i-1][j])%mod;
25             }
26               else
27               {
28                   f[i][j]=max(f[i-1][j],f[i][j-1]);
29                   if(f[i][j]==f[i-1][j])g[i][j]=(g[i][j]+g[i-1][j])%mod;
30                 if(f[i][j]==f[i][j-1])g[i][j]=(g[i][j]+g[i][j-1])%mod;
31                 if(f[i][j]==f[i-1][j-1])g[i][j]-=g[i-1][j-1],g[i][j]=(g[i][j]+mod)%mod;
32             }
33         }
34     cout&lt;&lt;f[l1][l2]&lt;&lt;endl&lt;&lt;g[l1][l2]%mod;
35     return 0;
36 }</pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 17:31:11 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/display/" title="display">display</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%98%e5%9c%a8/" title="存在">存在</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/tac/" title="tac">tac</a>, <a href="https://www.biecuoliao.com/tag/%e9%95%bf%e5%ba%a6/" title="长度">长度</a>, <a href="https://www.biecuoliao.com/tag/sample/" title="sample">sample</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e6%af%8d/" title="字母">字母</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%a7%e5%86%99/" title="大写">大写</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>codevs 1862 最长公共子序列（求最长公共子序列长度并统计最长公共子序列的个数）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEPBkD4.html" rel="bookmark">两组字符串中的最长公共子串（可包含多个长度相同的最长公共子串）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;stdio.h&gt;#include &lt;string.h&gt;main(){int i,j,k,n,h,m=0,count=0,count1=0,count2=0,count3=0;char str1[100], str2[100];int str3[100]; printf(&quot;str1:&quot;); gets(str1); printf(&quot;str2:&quot;); gets(str2); for(h=0;str1[h]!='\0';h++){			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j86x94.html" rel="bookmark">最长公共子序列（LCS）问题   Longest Common Subsequence  与最长公告字串 longest common substr</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:字符序列的子序列是指从给定字符序列中随意地(不一定连续)去掉若干个字符(可能一个也不去掉)后所形成的字符序列.令给定的字符序列X=“x0,x1,…,xm-1”,序列Y=“y0,y1,…,yk-1”是X的子序列,存在X的一个严格递增下标序列&lt;i0,i1,…,ik-1&gt;,使得对所有的j=0,1,…,k-1,有xij=yj.例如,X=“ABCBDAB”,Y=“BCDB”是X的一个子序列. 考虑最长公共子序列问题如何分解成子问题,设A=“a0,a1,…,am-1”,B=“b0,b1,…,bm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wRxd10.html" rel="bookmark">poj 1226 hdu 1238 Substrings 求若干字符串正串及反串的最长公共子串 2002亚洲赛天津预选题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目:http://poj.org/problem?id=1226 http://acm.hdu.edu.cn/showproblem.php?pid=1238 其实用hash+lcp可能也可以,甚至可能写起来更快,不过我没试,我最近在练习后缀数组,所以来练手 后缀数组的典型用法之一----------------后缀数组+lcp+二分 思路:1.首先将所有的字符串每读取一个,就将其反转,作为一组,假设其下标为i到j,那么cnt[i]到cnt[j]都标记为一个数字(这个数字意思是第几个读入的字符			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPggaz4.html" rel="bookmark">POJ - 3415 Common Substrings&lpar;后缀数组求长度不小于 k 的公共子串的个数&plus;单调栈优化&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description A substring of a string T is defined as: T( i, k)= TiTi+1... Ti+k-1, 1≤ i≤ i+k-1≤| T|. Given two strings A, B and one integer K, we define S, a set of triples (i, j, k): S = {( i, j, k) | k≥ K, A( i, k)= B( j, k)}. You are to give the val			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVb88kM.html" rel="bookmark">POJ 3294 后缀数组：求不小于k个字符串中的最长子串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思路:先把所有的串连接成一个串,串写串之前用没出现过的字符隔开,然后求后缀:对height数组分组二分求得最长的公共前缀,公共前缀所在的串一定要是不同的,不然就不是所有串的公共前缀了,然后记下下标和长度即可. 刚开始理解错题意,然后不知道怎么写,然后看别人题解也不知道怎么意思,后面看了好久才知道题目意思理解错了. 时间四千多ms,别人才一百多ms,不知道别人怎么做的-- #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MEaVKM.html" rel="bookmark">POJ 3415 Common Substrings &lpar;求长度不小于k的公共子串的个数&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Common Substrings Time Limit: 5000MS   Memory Limit: 65536K Total Submissions: 10002   Accepted: 3302 Description A substring of a string T is defined as: T(i, k)=TiTi+1...Ti+k-1, 1≤i≤i+k-1≤|T|. Given two strings A, B and one integer K, we define S,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41zO9vM.html" rel="bookmark">数据结构&mdash;&mdash;算法之（032）（求两个串中的第一个最长子串）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[申明:本文仅限于自我归纳总结和相互交流,有纰漏还望各位指出. 联系邮箱:[email protected]] 题目: 求两个串中的第一个最长子串(神州数码曾经试题).如&quot;abractyeyt&quot;,&quot;dgdsaeactyey&quot;的最大子串为&quot;actyey&quot;. 题目分析: 1.这里仅仅是实现了简单的字符串算法(最大支持字符串长度64),主要是展示算法思想 2.思路是把2个字符串每一个字符的匹配关系,映射到一张二维数组表中,匹配写1,非匹配写0 算法实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KqL5j4.html" rel="bookmark">&lpar;hdu step 1&period;3&period;6&rpar;Wooden Sticks&lpar;求长度和重量都严格递增的数列的个数&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: Wooden Sticks Time Limit: 2000/1000 MS (Java/Others) Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 2374 Accepted Submission(s): 921   Problem Description There is a pile of n wooden sticks. The length and weight of each stick are			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47o9Ky4.html" rel="bookmark">POJ 3415 Common Substrings&lpar;长度不小于k 的公共子串的个数--后缀数组&plus;单调栈优化&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:给定两个字符串A 和B,求长度不小于k 的公共子串的个数(可以相同). 样例1: A=&quot;xx&quot;,B=&quot;xx&quot;,k=1,长度不小于k 的公共子串的个数是5. 样例2: A =&quot;aababaa&quot;,B =&quot;abaabaa&quot;,k=2,长度不小于k 的公共子串的个数是22. 思路: 如果i后缀与j后缀的LCP长度为L, 在L不小于K的情况下, 它对答案的贡献为L - K + 1. 于是我们可以将两个串连起来, 中间加个奇葩的分隔符			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJlZo4.html" rel="bookmark" class="title">算法导论学习笔记 －（1）</a>
					<div>
						一个ACM若菜,趁着ACM淡季,开始学习算法导论了,经过一年的ACM学习,逐渐的发现,学东西,深入才是王道,以前学习一个算法,总是看懂了就开始做题,到后来才发现很多题目,会算法,却不知道是用这个算法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYbB80.html" rel="bookmark" class="title">Linux下php&plus;mysql&plus;nginx编译搭建（二）</a>
					<div>
						之前一直都是一键搭建的web服务器,但是一键搭建的环境相对来说都是比较老的.如果要用比较新的环境,特别是正式服务器,就必须自己手动编译搭建了(以下搭建基于linux centos6.5 32位服务器) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZbZK3.html" rel="bookmark" class="title">c语言中类型隐性转换的坑</a>
					<div>
						谨记:在C语言中,当两种不同类型之间运算时,低字节长度类型会向高自己长度类型转换,有符号会向无符号类型转换. 举例子如下: #include &lt;stdio.h&gt; void func(voi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxpAB0.html" rel="bookmark" class="title">DT大数据梦工厂 第5讲</a>
					<div>
						DT大数据梦工厂 第5讲 http://yun.baidu.com/s/1jGjFpWy 本节王老师讲了数组.最主要的是使用了scala worksheet这个功能.这个功能可以打印出每一行代码的运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388OnW3.html" rel="bookmark" class="title">JDBC？弱爆了，看看轻量级的 Mybatis FreeStyle</a>
					<div>
						在网络层,互联网提供所有应用程序都要使用的两种类型的服务,尽管目前理解这些服务的细节并不重要,但在所有TCP/IP概述中,都不能忽略他们: 无连接分组交付服务(Connectionless Packe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8ebz3.html" rel="bookmark" class="title">sql server 复制表从一个数据库到另一个数据库</a>
					<div>
						sql server 复制表从一个数据库到另一个数据库 /*不同服务器数据库之间的数据操作*/ --创建链接服务器 exec sp_addlinkedserver 'ITSV ', ' ', 'SQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylawV4.html" rel="bookmark" class="title">uva 10375</a>
					<div>
						1 /* 选择与除法_________________________________________________________________________________ 2 3 #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352GPv4.html" rel="bookmark" class="title">Tomcat下载与安装</a>
					<div>
						Tomcat 下载安装 下载地址:http://tomcat.apache.org/(栏目右边选择下载版本,然后进入下载) 下载有两种版本:一是安装版,二是解压版.(本次安装选用的是解压版.ps:作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwqoP4.html" rel="bookmark" class="title">oracle 性能优化方向</a>
					<div>
						1调优设计 架构设计(RAC/单机).应用设计(模块设计.E-R模型设计) 2调优应用 代码调优.应用存储对象调优 3条用内存 数据高速缓存区.共享池.重做日志缓存区.大池 4.调优I/O RAID模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjzm80.html" rel="bookmark" class="title">Spark源码分析之七：Task运行（一）</a>
					<div>
						在Task调度相关的两篇文章&lt;Spark源码分析之五:Task调度(一)&gt;与&lt;Spark源码分析之六:Task调度(二)&gt;中,我们大致了解了Task调度相关的主要逻辑,并且在T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnGRP0.html" rel="bookmark" class="title">GO语言练习：switch基本用法</a>
					<div>
						1.代码 2.运行 1.代码 1 package main 2 import &quot;fmt&quot; 3 4 func switch_1(i int){ 5 switch i { 6 case ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pae23.html" rel="bookmark" class="title">linux backup</a>
					<div>
						sudo tar cvpjf backup.tar.bz2 --exclude=/proc --exclude=/lost+found --exclude=/backup.tar.bz2 --excl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmBpPM.html" rel="bookmark" class="title">ubuntu12 安装redis和phpRedisAdmin详细流程</a>
					<div>
						一.Ubuntu安装redis(redis默认端口6379) 方式一.直接下载源码,编译(redis可以编译源码之后直接运行,不需要安装) 1.1执行命令,从官网下载源码编译: $ wget http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOVpDM.html" rel="bookmark" class="title">HDU&lowbar;1848&lowbar;博弈，sg函数</a>
					<div>
						Fibonacci again and again Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVR8eyM.html" rel="bookmark" class="title">Android 之夜间模式&lpar;多主题&rpar;的实现思路</a>
					<div>
						实现思路 多数App由于历史原因当对其进行夜间模式的功能改造时,工作量是比较大的,所以在真正开始着手实现前,我们还是应该先明确夜间模式(多主题)到底有多少实现的思路以及它们的优劣,这样才可以有效的避免 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dEpen3.html" rel="bookmark" class="title">php判断str是否是xml格式</a>
					<div>
						function xml_parser($str){ $xml_parser = xml_parser_create(); if(!xml_parse($xml_parser,$str,true)){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6e6eW4.html" rel="bookmark" class="title">HTML表单元素</a>
					<div>
						表单元素同意的形式向用户(例:文本字段,下拉列表,单箱,检查盒等)输入元素信息 表单标签 文本域(Text Fields) 当用户要在表单中键入字母,数字等内容时,就会用到文本域 单选button(R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35nAg14.html" rel="bookmark" class="title">mac  教你如何在Mac上搭建自己的服务器&mdash;&mdash;Nginx</a>
					<div>
						WHAT 本篇主要是基于Nginx在Mac上搭建自己的服务器. 我相信很多朋友肯定是第一次听到Nginx,关于它具有怎样的传奇,这儿肯定说不完也说不透. 有兴趣的朋友可以自行google或者baidu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDj1l3.html" rel="bookmark" class="title">集中日志服务器Rsyslog</a>
					<div>
						http://www.gaizaoren.org/archives/408 基于主机的管理一般需要收集服务器的日志信息用于及时发现错误,处理故障. 搭建linux下的集中日志服务器的程序一般可以用sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLLJQyM.html" rel="bookmark" class="title">5&period;解决UltraEdit在无网线情况下连接不到虚拟机上的问题，回环网卡设置</a>
					<div>
						﻿﻿ 1.右击&quot;我的电脑&quot;-&gt;计算机管理à设置管理器 2.添加过时硬件时候的效果(再点击下一步) 3.选择&quot;安装我手动从列表选择的硬件(高级)M&quot; 4 选 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
